<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('competencies_talents_interests', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('employee_id')->index();
            $table->string('english', 50)->nullable();
            $table->string('filipino', 50)->nullable();
            $table->string('chinese', 50)->nullable();
            $table->string('others', 50)->nullable();
            $table->text('skills_on_equipment')->nullable();
            $table->string('typing_speed', 50)->nullable();
            $table->string('steno_speed', 50)->nullable();
            $table->text('skill_on_equipment')->nullable();
            $table->boolean('driving_skill')->nullable();
            $table->string('years_of_driving_experience', 50)->nullable();
            $table->text('other_skills')->nullable();
            $table->text('talents')->nullable();
            $table->text('hobbies_interests_sports')->nullable();
            $table->boolean('enabled')->default(true)->index();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('competenies_talents_interesses');
    }
};
